summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAntonin Dach2021-05-28 19:42:21 +0200
committerAntonin Dach2021-05-28 19:42:21 +0200
commitde70c11975a9cabf995c093dfede406b56a8ce9c (patch)
treec01a10583bedd05198a14be70fe6204b90ec98bb
downloadaur-de70c11975a9cabf995c093dfede406b56a8ce9c.tar.gz
pkgbuild for git aur package
-rw-r--r--.SRCINFO15
-rw-r--r--.gitignore5
-rw-r--r--LICENSE21
-rw-r--r--PKGBUILD37
4 files changed, 78 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a44268eb666
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = lisgd-git
+ pkgdesc = Bind gestures on touchscreens, and unsupported gesture devices via libinput touch events
+ pkgver = 0.3.0.r2.g190a93d
+ pkgrel = 1
+ url = https://git.sr.ht/~mil/lisgd
+ arch = any
+ license = MIT
+ makedepends = git
+ depends = libinput
+ provides = lisgd
+ source = git+https://git.sr.ht/~mil/lisgd#branch=master
+ sha1sums = SKIP
+
+pkgname = lisgd-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..6e51319f7f1
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+*.tar*
+/pkg
+/src
+/lisgd
+
diff --git a/LICENSE b/LICENSE
new file mode 100644
index 00000000000..8d11b6a12ad
--- /dev/null
+++ b/LICENSE
@@ -0,0 +1,21 @@
+MIT License
+
+Copyright (c) 2021 AntonĂ­n Dach
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all
+copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+SOFTWARE.
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..311566f2b99
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: AntonĂ­n Dach <dach@protonmail.com>
+
+pkgname=lisgd-git
+_pkgname=lisgd
+pkgver=0.3.0.r2.g190a93d
+pkgrel=1
+pkgdesc='Bind gestures on touchscreens, and unsupported gesture devices via libinput touch events'
+arch=(any)
+url='https://git.sr.ht/~mil/lisgd'
+license=('MIT')
+makedepends=('git')
+depends=(libinput)
+provides=(lisgd)
+conflicts=()
+install=
+source=('git+https://git.sr.ht/~mil/lisgd#branch=master')
+sha1sums=('SKIP')
+
+pkgver() {
+ cd "$_pkgname"
+ ( set -o pipefail
+ git describe --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$_pkgname"
+ make
+}
+
+package() {
+ cd "$_pkgname"
+ mkdir -p "$pkgdir/usr/bin"
+ install -Dm644 "$_pkgname" "$pkgdir/usr/bin/$_pkgname"
+}
+